Package org.postgresql.jdbc

# Class PgClob

java.lang.Object
org.postgresql.jdbc.AbstractBlobClob
org.postgresql.jdbc.PgClob

All Implemented Interfaces:
  `Clob`

public class PgClob extends AbstractBlobClob implements Clob

## Field Summary

### Fields inherited from class org.postgresql.jdbc.AbstractBlobClob

`conn`

## Constructor Summary

Constructors
Constructor
Description
`PgClob(BaseConnection conn, long oid)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getAsciiStream()`
`Reader`
`getCharacterStream()`
`Reader`
`getCharacterStream(long pos, long length)`
`String`
`getSubString(long i, int j)`
`long`
`position(String pattern, long start)`
For now, this is not implemented.
`long`
`position(Clob pattern, long start)`
This should be simply passing the byte value of the pattern Blob.
`OutputStream`
`setAsciiStream(long pos)`
`Writer`
`setCharacterStream(long pos)`
`int`
`setString(long pos, String str)`
`int`
`setString(long pos, String str, int offset, int len)`

### Methods inherited from class org.postgresql.jdbc.AbstractBlobClob

`addSubLO, assertPosition, assertPosition, checkFreed, free, getBinaryStream, getBytes, getLo, length, position, position, setBinaryStream, truncate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Clob

`free, length, truncate`

## Constructor Details

### PgClob

public PgClob(BaseConnection conn, long oid) throws SQLException

Throws:
  `SQLException`

## Method Details

### getCharacterStream

public Reader getCharacterStream(long pos, long length) throws SQLException

Specified by:
  `getCharacterStream` in interface `Clob`
Throws:
  `SQLException`

### setString

public int setString(long pos, String str) throws SQLException

Specified by:
  `setString` in interface `Clob`
Throws:
  `SQLException`

### setString

public int setString(long pos, String str, int offset, int len) throws SQLException

Specified by:
  `setString` in interface `Clob`
Throws:
  `SQLException`

### setAsciiStream

public OutputStream setAsciiStream(long pos) throws SQLException

Specified by:
  `setAsciiStream` in interface `Clob`
Throws:
  `SQLException`

### setCharacterStream

public Writer setCharacterStream(long pos) throws SQLException

Specified by:
  `setCharacterStream` in interface `Clob`
Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream() throws SQLException

Specified by:
  `getAsciiStream` in interface `Clob`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream() throws SQLException

Specified by:
  `getCharacterStream` in interface `Clob`
Throws:
  `SQLException`

### getSubString

public String getSubString(long i, int j) throws SQLException

Specified by:
  `getSubString` in interface `Clob`
Throws:
  `SQLException`

### position

public long position(String pattern, long start) throws SQLException
For now, this is not implemented.

Specified by:
  `position` in interface `Clob`
Throws:
  `SQLException`

### position

public long position(Clob pattern, long start) throws SQLException
This should be simply passing the byte value of the pattern Blob.

Specified by:
  `position` in interface `Clob`
Throws:
  `SQLException`